What browsers is SE compatible with?

 

Social Explorer supports the following internet browsers:

If you want to use an old version of maps, the latest version of Flash is required. Click here to get or update your flash player.

Pages will also display on other browsers. Please feel free to contact us if you have a specific browser or platform question.